org.red5.io.mock

## Class Mock

- java.lang.Object
- - org.red5.io.mock.Mock

    public class Mock
    extends Object

### Field Summary

Fields
`static byte` `TYPE_ELEMENT_SEPARATOR`
`static byte` `TYPE_END_OF_ARRAY`
`static byte` `TYPE_END_OF_MAP`
`static byte` `TYPE_END_OF_OBJECT`
`static byte` `TYPE_ITEM_SEPARATOR`
`static byte` `TYPE_PROPERTY_SEPARATOR`

### Constructor Summary

Constructors
Constructor and Description
`Mock()`

### Method Summary

Methods
`static String` `listToString(List<Object> list)`
`static String` `toStringValue(byte dataType)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TYPE_END_OF_OBJECT

    public static final byte TYPE_END_OF_OBJECT

See Also:
  Constant Field Values

#### TYPE_END_OF_ARRAY

    public static final byte TYPE_END_OF_ARRAY

See Also:
  Constant Field Values

#### TYPE_ELEMENT_SEPARATOR

    public static final byte TYPE_ELEMENT_SEPARATOR

See Also:
  Constant Field Values

#### TYPE_PROPERTY_SEPARATOR

    public static final byte TYPE_PROPERTY_SEPARATOR

See Also:
  Constant Field Values

#### TYPE_ITEM_SEPARATOR

    public static final byte TYPE_ITEM_SEPARATOR

See Also:
  Constant Field Values

#### TYPE_END_OF_MAP

    public static final byte TYPE_END_OF_MAP

See Also:
  Constant Field Values

### Constructor Detail

#### Mock

    public Mock()

### Method Detail

#### toStringValue

    public static String toStringValue(byte dataType)

#### listToString

    public static String listToString(List<Object> list)